{% extends 'base.html.twig' %}

{% block title %}Loan index{% endblock %}

{% block body %}
    <h1>Loan index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Created_at</th>
                <th>Finished_at</th>
                <th>Returned_at</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for loan in loans %}
            <tr>
                <td>{{ loan.id }}</td>
                <td>{{ loan.createdAt ? loan.createdAt|date('Y-m-d') : '' }}</td>
                <td>{{ loan.finishedAt ? loan.finishedAt|date('Y-m-d') : '' }}</td>
                <td>{{ loan.returnedAt ? loan.returnedAt|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('app_loan_show', {'id': loan.id}) }}">show</a>
                    <a href="{{ path('app_loan_edit', {'id': loan.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="5">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_loan_new') }}">Create new</a>
{% endblock %}
